ci2.0布置到 php7.4错误排查笔记

《ci2.0布置到 php7.4错误排查笔记》

ci2.0(CodeIgniter)沿用的是 php5的语法核心 , 布置到服务后一大堆错误 , 没有办法 , 只能一个一个排查 , 最后总结下来 , 主要是版本更新后的一些兼容问题 , 重点解决兼容问题就可以了

开启这两个功能是排查问题的好利器:
#在/jusystem/core/Controller.php 中引入
error_reporting(E_ALL);
ini_set('display_errors','On');

1.主要是数据库mysqli类的问题

#mysql类已在php7.4中被弃用了,随之被替换为mysqli,大部方法都要改为mysql->mysqli
如:mysql_connect->mysqli_connect
/jusystem/database/drivers/mysqli
/jusystem/database/drivers/mysql

2.其次是数据库sql_mode的问题

详细解决方法可以参考这里

3.php短标签的问题

点赞

发表评论

电子邮件地址不会被公开。 必填项已用*标注